import { createClient } from "@supabase/supabase-js";
import { useRuntimeConfig } from "#imports";
import { defu } from "defu";
export const serverSupabaseServiceRole = (event) => {
  const { supabase: { serviceKey }, public: { supabase: { url, client: clientOptions } } } = useRuntimeConfig();
  if (!serviceKey) {
    throw new Error("Missing `SUPABASE_SERVICE_KEY` in `.env`");
  }
  if (!event.context._supabaseServiceRole) {
    const auth = {
      detectSessionInUrl: false,
      persistSession: false,
      autoRefreshToken: false
    };
    const options = defu({ auth }, clientOptions);
    const supabaseClient = createClient(url, serviceKey, options);
    event.context._supabaseServiceRole = supabaseClient;
  }
  return event.context._supabaseServiceRole;
};
